Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000189Rosetta[All Projects] Crashpublic2013-03-01 10:462013-03-22 10:03
Reportersmlewis 
Assigned Torenfrew 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in VersionTrunk 
Summary0000189: Turn on EXIT_THROWS_EXCEPTION by default
DescriptionMiniCON 2013 defaults change report 3

After bug 0000168 has been fixed (the all-executables-try/catch), we should alter SCons to always #define EXIT_THROWS_EXCEPTION, or equivalently just take the #ifdefs off that code in utility/exit.cc.

This will have the effect of catching all utility_exits as exceptions, some of which can be handled by the job distributor.

This will have the undesired side effect of NOT crashing some code that SHOULD crash - particularly, Movers that are not exception-safe will continue to be used by the JobDistributor on the next job instead of quitting. Perhaps Mover reinitialization should be forced after any exception is caught?
Tagsexception handling, Minicon_2013_defaults, robust_rosetta
Application(s) AffectedEXIT_THROWS_EXCEPTION, jd2
Command Line UsedEXIT_THROWS_EXCEPTION, jd2
Developer Options
Fixed in SVN Version54428
Attached Files

- Relationships
related to 0000226new Feature Request: catch option-system throws locally; handle them somewhat more fancily 
related to 0000227resolvedmomeara cleanup removal of EXIT_THROWS_EXCEPTION 
child of 0000168resolvedmtyka Bad option reads throw uncaught exceptions 

-  Notes
(0000149)
smlewis (Administrator)
2013-03-01 10:51

This is related to robustifying Rosetta against crashes, but not user support (minicon 2013 defaults)
(0000206)
renfrew (Developer)
2013-03-21 15:06

With the resolution of bug 168 This was added at r54428.
https://svn.rosettacommons.org/trac/changeset/54428 [^]

- Issue History
Date Modified Username Field Change
2013-03-01 10:46 smlewis New Issue
2013-03-01 10:46 smlewis Relationship added child of 0000168
2013-03-01 10:51 smlewis Tag Attached: robust_rosetta
2013-03-01 10:51 smlewis Note Added: 0000149
2013-03-01 10:52 smlewis Tag Attached: Minicon_2013_defaults
2013-03-01 10:53 smlewis Tag Attached: exception handling
2013-03-04 09:14 renfrew Assigned To => renfrew
2013-03-04 09:14 renfrew Status new => assigned
2013-03-21 12:16 smlewis Relationship added related to 0000226
2013-03-21 15:06 renfrew Note Added: 0000206
2013-03-21 15:07 renfrew Fixed in SVN Version => 54428
2013-03-21 15:07 renfrew Status assigned => resolved
2013-03-21 15:07 renfrew Fixed in Version => Trunk
2013-03-21 15:07 renfrew Resolution open => fixed
2013-03-22 10:03 smlewis Relationship added related to 0000227


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker